/v1/settings/predictive-scoringPredictive lead scoring: status, data readiness, the latest model and its history
Access: Signed-in members only (web or Android session) — not for API keys. Permission settings.view or settings.pipelines.
Response · 200
datarequired- PredictiveScoringView
metarequired- object
curl -X GET 'https://api.propzolo.com/v1/settings/predictive-scoring' \
-H 'Authorization: Bearer pz_live_…'{
"data": {
"settings": {
"enabled": true,
"min_history_days": 0,
"min_positives": 0,
"min_auc": 0,
"min_auc_lift": 0,
"max_ece": 0
},
"bounds": {
"min_history_days": {
"min": 0,
"max": 0
},
"min_positives": {
"min": 0,
"max": 0
},
"min_auc": {
"min": 0,
"max": 0
},
"min_auc_lift": {
"min": 0,
"max": 0
},
"max_ece": {
"min": 0,
"max": 0
}
},
"mode": "model",
"status_text": "string",
"active_version": 0,
"readiness": {
"history_days": 0,
"positives": 0,
"ready": true,
"needed": {
"history_days": 0,
"positives": 0
},
"checks": [
{
"key": "history",
"passed": true,
"value": 0,
"threshold": 0,
"text": "string"
}
]
},
"latest": {
"id": "cmusrceel0000q7kaafxqi1om",
"version": 0,
"status": "active",
"trigger": "schedule",
"trained_at": "2026-10-06T05:30:00.000Z",
"activated_at": "2026-10-06T05:30:00.000Z",
"retired_at": "2026-10-06T05:30:00.000Z",
"auc": 0,
"rules_auc": 0,
"decision": "string",
"train_rows": 0,
"train_positives": 0,
"valid_rows": 0,
"valid_positives": 0,
"trees": 0,
"base_rate": 0,
"data_from": "2026-10-06T05:30:00.000Z",
"data_to": "2026-10-06T05:30:00.000Z",
"valid_from": "2026-10-06T05:30:00.000Z",
"metrics": {
"brier": 0,
"brier_skill": 0,
"log_loss": 0,
"ece": 0,
"reliability": [
{
"from": 0,
"to": 0,
"predicted": 0,
"observed": 0,
"rows": 0
}
],
"lift": [
{
"decile": 0,
"rows": 0,
"positives": 0,
"rate": 0,
"lift": 0,
"captured": 0
}
],
"importance": [
{
"feature": "string",
"label": "string",
"share": 0
}
]
},
"gates": {
"passed": true,
"checks": [
{
"key": "history",
"passed": true,
"value": 0,
"threshold": 0,
"text": "string"
}
]
},
"timings": {
"rows": 0,
"trees": 0,
"load_ms": 0,
"train_ms": 0,
"total_ms": 0,
"budget_hit": true
}
},
"active": {
"id": "cmusrceel0000q7kaafxqi1om",
"version": 0,
"status": "active",
"trigger": "schedule",
"trained_at": "2026-10-06T05:30:00.000Z",
"activated_at": "2026-10-06T05:30:00.000Z",
"retired_at": "2026-10-06T05:30:00.000Z",
"auc": 0,
"rules_auc": 0,
"decision": "string",
"train_rows": 0,
"train_positives": 0,
"valid_rows": 0,
"valid_positives": 0,
"trees": 0,
"base_rate": 0,
"data_from": "2026-10-06T05:30:00.000Z",
"data_to": "2026-10-06T05:30:00.000Z",
"valid_from": "2026-10-06T05:30:00.000Z",
"metrics": {
"brier": 0,
"brier_skill": 0,
"log_loss": 0,
"ece": 0,
"reliability": [
{
"from": 0,
"to": 0,
"predicted": 0,
"observed": 0,
"rows": 0
}
],
"lift": [
{
"decile": 0,
"rows": 0,
"positives": 0,
"rate": 0,
"lift": 0,
"captured": 0
}
],
"importance": [
{
"feature": "string",
"label": "string",
"share": 0
}
]
},
"gates": {
"passed": true,
"checks": [
{
"key": "history",
"passed": true,
"value": 0,
"threshold": 0,
"text": "string"
}
]
},
"timings": {
"rows": 0,
"trees": 0,
"load_ms": 0,
"train_ms": 0,
"total_ms": 0,
"budget_hit": true
}
},
"history": [
{
"id": "cmusrceel0000q7kaafxqi1om",
"version": 0,
"status": "active",
"trigger": "schedule",
"trained_at": "2026-10-06T05:30:00.000Z",
"activated_at": "2026-10-06T05:30:00.000Z",
"retired_at": "2026-10-06T05:30:00.000Z",
"auc": 0,
"rules_auc": 0,
"decision": "string",
"train_rows": 0,
"train_positives": 0,
"valid_rows": 0,
"valid_positives": 0,
"trees": 0,
"base_rate": 0,
"data_from": "2026-10-06T05:30:00.000Z",
"data_to": "2026-10-06T05:30:00.000Z",
"valid_from": "2026-10-06T05:30:00.000Z"
}
],
"last_run": {
"at": "string",
"trigger": "schedule",
"outcome": "skipped",
"text": "string",
"version": 0,
"readiness": {
"history_days": 0,
"positives": 0
}
}
},
"meta": {}
}Errors
401No valid session or API key (missing, expired or revoked).403The caller lacks the permission, API-key scope or support grant this operation needs.429Too many requests; retry after the Retry-After header.500Unexpected error; quote `error.request_id` to support.

